Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Interface AprEndpoint.Handler

All Known Implementing Classes:
  AjpAprProtocol.AjpConnectionHandler

Enclosing class:
  AprEndpoint

    public static interface AprEndpoint.Handler

Bare bones interface used for socket processing. Per thread data is to be stored in the ThreadWithAttributes extra folders, or alternately in thread local fields.

Nested Class Summary
`static class` | `AprEndpoint.Handler.SocketState`

Method Summary
`AprEndpoint.Handler.SocketState` | `event(long socket, SocketStatus status)`
`AprEndpoint.Handler.SocketState` | `process(long socket)`

Method Detail

### process

    AprEndpoint.Handler.SocketState process(long socket)

### event

    AprEndpoint.Handler.SocketState event(long socket,
                                          SocketStatus status)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.